> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Document



## OpenAPI

````yaml api-reference/openapi-utilities.json PATCH /document/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Utilities
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /document/{id}:
    patch:
      tags:
        - Document
      summary: Update a Document
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Updating name
                value:
                  name: OR Drivers License
            schema:
              properties:
                bankdata:
                  description: Optional arbitrary data the bank can attach to the object
                  type: object
                fields:
                  description: Object representing the data encoded in the Document
                  type: object
                name:
                  description: A descriptive name for the document
                  type: string
                type:
                  description: >-
                    One of: `drivers_license`, `military_id`, `passport`,
                    `state_id`, `other`
                  type: string
                userdata:
                  description: Optional arbitrary data the user can attach to the object
                  type: object
        description: The document to update
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    bankdata: {}
                    created_at: '2021-03-25T21:31:50Z'
                    fields:
                      date_of_birth: '1980-03-15'
                    file_id: file_567890
                    id: doc_123456
                    name: OR Drivers License
                    type: drivers_license
                    updated_at: '2021-03-25T21:31:50Z'
                    userdata: {}
              schema:
                properties:
                  bank_id:
                    description: ID of the bank with which the object is associated
                    type: string
                  bankdata:
                    description: Optional arbitrary data the bank can attach to the object
                    type: object
                  description:
                    deprecated: true
                    description: Description (deprecated)
                    type: string
                  fields:
                    description: Object representing the data encoded in the Document
                    type: object
                  file_id:
                    description: The unique ID for an attached File
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  name:
                    description: A descriptive name for the document
                    type: string
                  org_id:
                    description: ID of the organization with which the object is associated
                    type: string
                  type:
                    description: >-
                      One of: `drivers_license`, `military_id`, `passport`,
                      `state_id`, `other`
                    type: string
                  userdata:
                    description: Optional arbitrary data the user can attach to the object
                    type: object
          description: The document updated
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````